magnifier(1)

NAME
magnifier - GNOME Magnifier (gnome-mag)

SYNOPSIS
magnifier [-vhmif?] [-t|--target-display STRING] [-s|--source-display STRING] [--cursor-set=STRING] [--cursor-size=INT] [--cursor-scale-factor=FLOAT] [--cursor-color=LONG] [-v|--vertical] [-h|--horizontal] [-m|--mouse-follow] [-r|--refresh-time INT] [--mouse-latency=INT] [-z|--zoom-factor FLOAT] [-i|--invert-image] [--no-initial-region] [--timing-iterations=INT] [--timing-output] [--timing-pan-rate=INT] [--timing-delta-x=INT] [--timing-delta-y=INT] [--smoothing-type=STRING] [-f|--fullscreen] [--smooth-scrolling] [-b|--border-size INT] [-c|--border-color LONG] [--use-test-pattern] [--override-redirect] [--ignore-damage] [-?|--help] [--usage]

AVAILABILITY
The GNOME magnifier (gnome-mag) provides a command-line interface for standalone use, although its primary goal is to provide a set of magnification services for use by other client applications and assistive technologies, like Gnopernicus, Orca or LSR.

This magnifier is compatible with operating systems using X Window System, although the magnifier will have a better performance and functionality when the Damage and Fixes extensions are present.

DESCRIPTION
A desktop screen magnifier. If present, the Region Of Interest (ROI) for the magnifier can be driven by a screen reader via the Assistive Technology Service Provider Interface (ATSPI); otherwise, the magnifier will be centered to the pointer position.

OPTIONS

-t, --target-display=STRING
    specify display on which to show magnified view

-s, --source-display=STRING
    specify display to magnify

--cursor-set=STRING
    cursor set to use in target display

--cursor-size=INT
    cursor size to use (overrides cursor-scale-factor)

--cursor-scale-factor=FLOAT
    cursor scale factor

--cursor-color=LONG
    cursor color (applied to 'black' pixels

-v, -vertical
    split screen vertically (if target display = source display)

-h, --horizontal
    split screen horizontally (if target display = source display)

-m, --mouse-follow
    track mouse movements

-r, --refresh-time=INT
    minimum refresh time for idle, in ms

--mouse-latency=INT
    maximum mouse latency time, in ms

-z, --zoom-factor=FLOAT
    zoom (scale) factor used to magnify source display

-i, --invert-image
    invert the image colormap

--no-initial-region
    don't create an initial zoom region

--timing-iterations=INT
    iterations to run timing benchmark test (0=continuous)

--timing-output
    display performance ouput

--timing-pan-rate=INT
    timing pan rate in lines per frame

--timing-delta-x=INT
    pixels to pan in x-dimension each frame in timing update test

--timing-delta-y=INT
    pixels to pan in y-dimension each frame in timing update test

--smoothing-type=STRING
    image smoothing algorithm to apply (bilinear-interpolation | none)

-f, \--fullscreen
    fullscreen magnification, covers entire target display [REQUIRES --source-display and --target-display]

--smooth-scrolling
    use smooth scrolling

-b, --border-size=INT
    width of border

-c, --border-color=LONG
    border color specified as (A)RGB 23-bit value, Alpha-MSB

--use-test-pattern
    use test pattern as source

--override-redirect
    make the magnifier window totally unmanaged by the window manager

--ignore-damage
    ignore the X server DAMAGE extension, if present

-?, --help
    command line help

--usage
    command line synopsis

FILES

/usr/share/gnome-mag/1_32/*.xpm

/usr/lib/bonobo/servers/GNOME_Magnifier.server

/usr/lib/libgnome-mag.so.2

BUGS
See http://bugs.gnome.org

AUTHORS

Erwann Chenede <erwann.chenede@sun.com>

Bill Haneman <bill.haneman@sun.com>

LICENSE
Licensed under the GNU Lesser Public License (LGPL) v2.1

SEE ALSO
gnopernicus(1), orca(1), lsr(1), Bonobo, Assistive Technology Service Provider Interface (AT-SPI)